package cn.ezhizao.project.business.urgent.mapper;

import org.apache.ibatis.annotations.Mapper;
import cn.ezhizao.project.business.urgent.domain.BizFinancialUrgent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */
@Mapper
public interface BizFinancialUrgentMapper extends BaseMapper<BizFinancialUrgent> {

/**
* 带条件的查询
* @param conditions 条件
* @return List 集合
*/
List<BizFinancialUrgent> getList(Map<String,Object> conditions);

/**
* 根据Bean查询 列表
* @param financialUrgent 实体类对象
* @return List 集合
*/
List<BizFinancialUrgent> getList(BizFinancialUrgent financialUrgent);

/**
* 带条件的查询总数
* @param conditions 条件
* @return int 查询总数量
*/
int getTotal(Map<String,Object> conditions);

/**
* 获取就表数据
* @return 旧表数据集
*/
List<BizFinancialUrgent> getOldData();

/**
* 清除当前表所有数据
* @return 操作行数
*/
int clear();

}


